/* AUTOGENERATED FILE. DO NOT EDIT. */
#ifndef _MOCK_XTRUNTIME_H
#define _MOCK_XTRUNTIME_H

#include "unity.h"
#include "stdint.h"
#include "xtruntime.h"

/* Ignore the following warnings, since we are copying code */
#if defined(__GNUC__) && !defined(__ICC) && !defined(__TMS470__)
#if __GNUC__ > 4 || (__GNUC__ == 4 && (__GNUC_MINOR__ > 6 || (__GNUC_MINOR__ == 6 && __GNUC_PATCHLEVEL__ > 0)))
#pragma GCC diagnostic push
#endif
#if !defined(__clang__)
#pragma GCC diagnostic ignored "-Wpragmas"
#endif
#pragma GCC diagnostic ignored "-Wunknown-pragmas"
#pragma GCC diagnostic ignored "-Wduplicate-decl-specifier"
#endif

void mock_xtruntime_Init(void);
void mock_xtruntime_Destroy(void);
void mock_xtruntime_Verify(void);




#define xtos_set_exception_handler_IgnoreAndReturn(cmock_retval) xtos_set_exception_handler_CMockIgnoreAndReturn(__LINE__, cmock_retval)
void xtos_set_exception_handler_CMockIgnoreAndReturn(UNITY_LINE_TYPE cmock_line, int32_t cmock_to_return);
#define xtos_set_exception_handler_StopIgnore() xtos_set_exception_handler_CMockStopIgnore()
void xtos_set_exception_handler_CMockStopIgnore(void);
#define xtos_set_exception_handler_ExpectAnyArgsAndReturn(cmock_retval) xtos_set_exception_handler_CMockExpectAnyArgsAndReturn(__LINE__, cmock_retval)
void xtos_set_exception_handler_CMockExpectAnyArgsAndReturn(UNITY_LINE_TYPE cmock_line, int32_t cmock_to_return);
#define xtos_set_exception_handler_ExpectAndReturn(excnum, handler, pprev, cmock_retval) xtos_set_exception_handler_CMockExpectAndReturn(__LINE__, excnum, handler, pprev, cmock_retval)
void xtos_set_exception_handler_CMockExpectAndReturn(UNITY_LINE_TYPE cmock_line, uint32_t excnum, xtos_handler handler, xtos_handler* pprev, int32_t cmock_to_return);
typedef int32_t (* CMOCK_xtos_set_exception_handler_CALLBACK)(uint32_t excnum, xtos_handler handler, xtos_handler* pprev, int cmock_num_calls);
void xtos_set_exception_handler_AddCallback(CMOCK_xtos_set_exception_handler_CALLBACK Callback);
void xtos_set_exception_handler_Stub(CMOCK_xtos_set_exception_handler_CALLBACK Callback);
#define xtos_set_exception_handler_StubWithCallback xtos_set_exception_handler_Stub
#define xtos_set_exception_handler_ExpectWithArrayAndReturn(excnum, handler, pprev, pprev_Depth, cmock_retval) xtos_set_exception_handler_CMockExpectWithArrayAndReturn(__LINE__, excnum, handler, pprev, pprev_Depth, cmock_retval)
void xtos_set_exception_handler_CMockExpectWithArrayAndReturn(UNITY_LINE_TYPE cmock_line, uint32_t excnum, xtos_handler handler, xtos_handler* pprev, int pprev_Depth, int32_t cmock_to_return);
#define xtos_set_exception_handler_ReturnThruPtr_pprev(pprev) xtos_set_exception_handler_CMockReturnMemThruPtr_pprev(__LINE__, pprev, sizeof(xtos_handler))
#define xtos_set_exception_handler_ReturnArrayThruPtr_pprev(pprev, cmock_len) xtos_set_exception_handler_CMockReturnMemThruPtr_pprev(__LINE__, pprev, cmock_len * sizeof(*pprev))
#define xtos_set_exception_handler_ReturnMemThruPtr_pprev(pprev, cmock_size) xtos_set_exception_handler_CMockReturnMemThruPtr_pprev(__LINE__, pprev, cmock_size)
void xtos_set_exception_handler_CMockReturnMemThruPtr_pprev(UNITY_LINE_TYPE cmock_line, xtos_handler* pprev, size_t cmock_size);
#define xtos_set_exception_handler_IgnoreArg_excnum() xtos_set_exception_handler_CMockIgnoreArg_excnum(__LINE__)
void xtos_set_exception_handler_CMockIgnoreArg_excnum(UNITY_LINE_TYPE cmock_line);
#define xtos_set_exception_handler_IgnoreArg_handler() xtos_set_exception_handler_CMockIgnoreArg_handler(__LINE__)
void xtos_set_exception_handler_CMockIgnoreArg_handler(UNITY_LINE_TYPE cmock_line);
#define xtos_set_exception_handler_IgnoreArg_pprev() xtos_set_exception_handler_CMockIgnoreArg_pprev(__LINE__)
void xtos_set_exception_handler_CMockIgnoreArg_pprev(UNITY_LINE_TYPE cmock_line);
#define xtos_set_interrupt_handler_IgnoreAndReturn(cmock_retval) xtos_set_interrupt_handler_CMockIgnoreAndReturn(__LINE__, cmock_retval)
void xtos_set_interrupt_handler_CMockIgnoreAndReturn(UNITY_LINE_TYPE cmock_line, int32_t cmock_to_return);
#define xtos_set_interrupt_handler_StopIgnore() xtos_set_interrupt_handler_CMockStopIgnore()
void xtos_set_interrupt_handler_CMockStopIgnore(void);
#define xtos_set_interrupt_handler_ExpectAnyArgsAndReturn(cmock_retval) xtos_set_interrupt_handler_CMockExpectAnyArgsAndReturn(__LINE__, cmock_retval)
void xtos_set_interrupt_handler_CMockExpectAnyArgsAndReturn(UNITY_LINE_TYPE cmock_line, int32_t cmock_to_return);
#define xtos_set_interrupt_handler_ExpectAndReturn(intnum, handler, param, pprev, cmock_retval) xtos_set_interrupt_handler_CMockExpectAndReturn(__LINE__, intnum, handler, param, pprev, cmock_retval)
void xtos_set_interrupt_handler_CMockExpectAndReturn(UNITY_LINE_TYPE cmock_line, uint32_t intnum, xtos_handler handler, void* param, xtos_handler* pprev, int32_t cmock_to_return);
typedef int32_t (* CMOCK_xtos_set_interrupt_handler_CALLBACK)(uint32_t intnum, xtos_handler handler, void* param, xtos_handler* pprev, int cmock_num_calls);
void xtos_set_interrupt_handler_AddCallback(CMOCK_xtos_set_interrupt_handler_CALLBACK Callback);
void xtos_set_interrupt_handler_Stub(CMOCK_xtos_set_interrupt_handler_CALLBACK Callback);
#define xtos_set_interrupt_handler_StubWithCallback xtos_set_interrupt_handler_Stub
#define xtos_set_interrupt_handler_ExpectWithArrayAndReturn(intnum, handler, param, param_Depth, pprev, pprev_Depth, cmock_retval) xtos_set_interrupt_handler_CMockExpectWithArrayAndReturn(__LINE__, intnum, handler, param, param_Depth, pprev, pprev_Depth, cmock_retval)
void xtos_set_interrupt_handler_CMockExpectWithArrayAndReturn(UNITY_LINE_TYPE cmock_line, uint32_t intnum, xtos_handler handler, void* param, int param_Depth, xtos_handler* pprev, int pprev_Depth, int32_t cmock_to_return);
#define xtos_set_interrupt_handler_ReturnThruPtr_param(param) xtos_set_interrupt_handler_CMockReturnMemThruPtr_param(__LINE__, param, sizeof(void))
#define xtos_set_interrupt_handler_ReturnArrayThruPtr_param(param, cmock_len) xtos_set_interrupt_handler_CMockReturnMemThruPtr_param(__LINE__, param, cmock_len * sizeof(*param))
#define xtos_set_interrupt_handler_ReturnMemThruPtr_param(param, cmock_size) xtos_set_interrupt_handler_CMockReturnMemThruPtr_param(__LINE__, param, cmock_size)
void xtos_set_interrupt_handler_CMockReturnMemThruPtr_param(UNITY_LINE_TYPE cmock_line, void* param, size_t cmock_size);
#define xtos_set_interrupt_handler_ReturnThruPtr_pprev(pprev) xtos_set_interrupt_handler_CMockReturnMemThruPtr_pprev(__LINE__, pprev, sizeof(xtos_handler))
#define xtos_set_interrupt_handler_ReturnArrayThruPtr_pprev(pprev, cmock_len) xtos_set_interrupt_handler_CMockReturnMemThruPtr_pprev(__LINE__, pprev, cmock_len * sizeof(*pprev))
#define xtos_set_interrupt_handler_ReturnMemThruPtr_pprev(pprev, cmock_size) xtos_set_interrupt_handler_CMockReturnMemThruPtr_pprev(__LINE__, pprev, cmock_size)
void xtos_set_interrupt_handler_CMockReturnMemThruPtr_pprev(UNITY_LINE_TYPE cmock_line, xtos_handler* pprev, size_t cmock_size);
#define xtos_set_interrupt_handler_IgnoreArg_intnum() xtos_set_interrupt_handler_CMockIgnoreArg_intnum(__LINE__)
void xtos_set_interrupt_handler_CMockIgnoreArg_intnum(UNITY_LINE_TYPE cmock_line);
#define xtos_set_interrupt_handler_IgnoreArg_handler() xtos_set_interrupt_handler_CMockIgnoreArg_handler(__LINE__)
void xtos_set_interrupt_handler_CMockIgnoreArg_handler(UNITY_LINE_TYPE cmock_line);
#define xtos_set_interrupt_handler_IgnoreArg_param() xtos_set_interrupt_handler_CMockIgnoreArg_param(__LINE__)
void xtos_set_interrupt_handler_CMockIgnoreArg_param(UNITY_LINE_TYPE cmock_line);
#define xtos_set_interrupt_handler_IgnoreArg_pprev() xtos_set_interrupt_handler_CMockIgnoreArg_pprev(__LINE__)
void xtos_set_interrupt_handler_CMockIgnoreArg_pprev(UNITY_LINE_TYPE cmock_line);
#define xtos_interrupt_enable_Ignore() xtos_interrupt_enable_CMockIgnore()
void xtos_interrupt_enable_CMockIgnore(void);
#define xtos_interrupt_enable_StopIgnore() xtos_interrupt_enable_CMockStopIgnore()
void xtos_interrupt_enable_CMockStopIgnore(void);
#define xtos_interrupt_enable_ExpectAnyArgs() xtos_interrupt_enable_CMockExpectAnyArgs(__LINE__)
void xtos_interrupt_enable_CMockExpectAnyArgs(UNITY_LINE_TYPE cmock_line);
#define xtos_interrupt_enable_Expect(cmock_arg1) xtos_interrupt_enable_CMockExpect(__LINE__, cmock_arg1)
void xtos_interrupt_enable_CMockExpect(UNITY_LINE_TYPE cmock_line, uint32_t cmock_arg1);
typedef void (* CMOCK_xtos_interrupt_enable_CALLBACK)(uint32_t cmock_arg1, int cmock_num_calls);
void xtos_interrupt_enable_AddCallback(CMOCK_xtos_interrupt_enable_CALLBACK Callback);
void xtos_interrupt_enable_Stub(CMOCK_xtos_interrupt_enable_CALLBACK Callback);
#define xtos_interrupt_enable_StubWithCallback xtos_interrupt_enable_Stub
#define xtos_interrupt_enable_IgnoreArg_cmock_arg1() xtos_interrupt_enable_CMockIgnoreArg_cmock_arg1(__LINE__)
void xtos_interrupt_enable_CMockIgnoreArg_cmock_arg1(UNITY_LINE_TYPE cmock_line);

#if defined(__GNUC__) && !defined(__ICC) && !defined(__TMS470__)
#if __GNUC__ > 4 || (__GNUC__ == 4 && (__GNUC_MINOR__ > 6 || (__GNUC_MINOR__ == 6 && __GNUC_PATCHLEVEL__ > 0)))
#pragma GCC diagnostic pop
#endif
#endif

#endif
